import { _decorator, Component, Node } from 'cc';
import { model_content_item_data } from '../data';
import { IPoolHanderComponent } from '../lib/IPoolHanderComponent';
const { ccclass, property } = _decorator;

@ccclass('base')
export class base extends Component implements IPoolHanderComponent {
    unuse(): void {
        this.ReSetNode()
    }
    reuse(args: any): void {
     
    }
    protected mData:model_content_item_data = null;
    public getData(){
        return this.mData
    }

    protected ReSetNode(){
        console.log("ReSetNode")
    }
}


